Skip to main content
GET
/
v2
/
bookings
/
{bookingUid}
/
calendar-links
Get 'Add to Calendar' links for a booking
curl --request GET \
  --url https://api.cal.com/v2/bookings/{bookingUid}/calendar-links \
  --header 'Authorization: <authorization>' \
  --header 'cal-api-version: <cal-api-version>'
import requests

url = "https://api.cal.com/v2/bookings/{bookingUid}/calendar-links"

headers = {
"cal-api-version": "<cal-api-version>",
"Authorization": "<authorization>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'cal-api-version': '<cal-api-version>', Authorization: '<authorization>'}
};

fetch('https://api.cal.com/v2/bookings/{bookingUid}/calendar-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": [
    {
      "label": "<string>",
      "link": "<string>"
    }
  ]
}

Headers

cal-api-version
string
default:2026-02-25
required

Must be set to 2026-02-25.

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

bookingUid
string
required

Response

200 - application/json
status
enum<string>
required

The status of the request, always 'success' for successful responses

Available options:
success,
error
Example:

"success"

data
object[]
required

Calendar links for the booking